Returns the results of an asynchronous batch validation identified by request_id.
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
The request_id returned by the asynchronous bulk validation request.
"12542c5c-1a17-4d12-a163-5b68543e75f6"
Returns the batch validation results.
Request status. Possible values are success and in progress.
success: All numbers were processed. - in progress: Several numbers are pending validation."success"
The quantity of phone numbers that are pending to be processed.
10
The quantity of phone numbers passed in the request.
1000
Array of objects containing details for each phone number.
The returned fields depend on the type parameter.
[
{
"phone_number": "971501390098",
"valid": true,
"country_code": "AE",
"e164_format": "+971501390098",
"national_format": "050 139 0098",
"ported": false,
"mcc": "424",
"mnc": "02",
"number_type": "mobile",
"carrier_name": "Etisalat",
"risky_destination": false,
"unallocated_range": false,
"reachable": true,
"roaming": false,
"timezone": "UTC+04:00",
"charge": "0.015",
"error_code": "000"
},
{
"phone_number": "971504359195",
"valid": true,
"country_code": "AE",
"e164_format": "+971504359195",
"national_format": "050 435 9195",
"ported": false,
"mcc": "424",
"mnc": "02",
"number_type": "mobile",
"carrier_name": "Etisalat",
"risky_destination": false,
"unallocated_range": false,
"reachable": true,
"roaming": false,
"timezone": "UTC+04:00",
"charge": "0.015",
"error_code": "000"
}
]